#!/bin/bash

CURDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
TMP=/tmp/status
source "$TMP"


# Move selectedly tagged mails to folders if they are only in INBOX
echo "[DEBUG] Move tagged mails in INBOX to folders"
bash $CURDIR/scripts/move-tag.sh

# If offline mode, do a quick sync
if [ "$var_conn" == "off" ]; then
  echo "[INFO] Offline mode enabled. Do a quick sync"
  offlineimap -q
else
  echo "[INFO] Do a normal sync."
  offlineimap
fi
echo "[DEBUG] Sync notmuch database with new mails"
notmuch new


### Sort emails

# Trash mod requests, Junk, Trash
echo "[DEBUG] Tag mails in ignore, spam, and trash folders"
notmuch tag +ignore -unread -- path:Lists.MOD.Trash/**
notmuch tag +spam -- path:INBOX.Junk/**
notmuch tag +del -unread -- path:Trash/**

# Moderation
echo "[DEBUG] Tag list moderation mails"
notmuch tag +mod -- path:Lists.MOD/**

# CVS
echo "[DEBUG] Tag cvs mails"  # TODO is this necessary?
notmuch tag +cvs -- path:Lists.Web.CVS-Notify/**

# Sent
#notmuch tag +sent -unread -- path:Sent/**

# Archiv
echo "[DEBUG] Tag mails in offline ARCHIVE folder"
notmuch tag +archive -- path:ARCHIVE/**


# Automatic tagging based on location of mails in folders
echo "[DEBUG] Tag mails based on their folder"
bash $CURDIR/scripts/tag-folder.sh # generates commands from tag-folder.csv
bash $CURDIR/scripts/tag-folder-rules.sh  # executes generated commands

echo "[DEBUG] poll.sh exited successfully"
